package com.yihu.jw.entity.care.lifeCare;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * Created by yeshijie on 2021/3/26.
 */
@Entity
@Table(name = "base_life_care_item_dict")
public class LifeCareItemDictDO extends UuidIdentityEntity{

    private String code;
    private String name;
    private String remark;//'备注'
    private BigDecimal price;//价格
    private Integer sort;//排序字段
    private Integer del;//删除标志 1正常，0删除
    private String lifeCareImg;//服务项目图片
    private String padIconImg;//pad图标

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "life_care_img")
    public String getLifeCareImg() {
        return lifeCareImg;
    }

    public void setLifeCareImg(String lifeCareImg) {
        this.lifeCareImg = lifeCareImg;
    }

    public String getPadIconImg() {
        return padIconImg;
    }

    public void setPadIconImg(String padIconImg) {
        this.padIconImg = padIconImg;
    }
}
